Name:		xmbdfed
Summary: 	Bitmap Font Editor
Version:	4.7
Release:	7%{?dist}
License:	MIT
Group:		Applications/System
Source0:	http://crl.nmsu.edu/~mleisher/%{name}-%{version}.tar.bz2
Source1:	http://crl.nmsu.edu/~mleisher/%{name}.png
Source2:	xmbdfed.desktop
Patch0:		http://crl.nmsu.edu/~mleisher/%{name}-4.7-patch1
Patch1:		xmbdfed-4.7-linux.patch
Patch2:		xmbdfed-4.7-staticfix.patch
Patch3:		xmbdfed-4.7-getline.patch
URL:		http://crl.nmsu.edu/~mleisher/xmbdfed.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	freetype-devel, lesstif-devel, libXpm-devel, libXmu-devel
BuildRequires:	libXext-devel, libX11-devel, libSM-devel, libICE-devel
BuildRequires:	desktop-file-utils
Requires:	xorg-x11-fonts-misc

%description
The XmBDFEditor lets you interactively create new bitmap font files or 
modify existing ones. It allows editing multiple fonts and multiple 
glyphs, it allows cut and paste operations between fonts and glyphs and 
editing font properties. The editor works natively with BDF fonts.

%prep
%setup -q 
%patch0 -p0 -b .patch1
%patch1 -p1 -b .linux
%patch2 -p1 -b .staticfix
%patch3 -p1 -b .getline

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -p -m0755 xmbdfed %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m0644 xmbdfed.man %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps
desktop-file-install					\
	--dir %{buildroot}%{_datadir}/applications	\
	%{SOURCE2}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README COPYRIGHTS xmbdfedrc CHANGES
%{_bindir}/xmbdfed
%{_datadir}/pixmaps/xmbdfed.png
%{_datadir}/applications/*.desktop
%{_mandir}/man1/xmbdfed*

%changelog
* Wed Aug  5 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 4.7-7
- actually apply patch3

* Wed Aug  5 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 4.7-6
- fix function naming conflict of "getline" with stdio.h

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4.7-3
- add -p to install to preserve timestamps
- add BR: desktop-file-utils

* Mon Dec  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4.7-2
- correct usage of defattr
- add Requires: xorg-x11-fonts-misc
- fix desktop file

* Thu Nov 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4.7-1
- initial Fedora package
